FreeMat

- Main Page
- Related Pages

vtkOOGLExporter

Section: Visualization Toolkit Rendering Classes

# Usage

vtkOOGLExporter is a concrete subclass of vtkExporter that writes Geomview OOGL files.

To create an instance of class vtkOOGLExporter, simply invoke its constructor as follows

      obj = vtkOOGLExporter

# Methods

The class vtkOOGLExporter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkOOGLExporter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkOOGLExporter = obj.NewInstance ()`
- `vtkOOGLExporter = obj.SafeDownCast (vtkObject o)`
- `obj.SetFileName (string )` - Specify the name of the Geomview file to write.
- `string = obj.GetFileName ()` - Specify the name of the Geomview file to write.